Bug 134512 - missing exec bits in /usr/share/xemacs/xemacs-packages/lib-src
missing exec bits in /usr/share/xemacs/xemacs-packages/lib-src
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xemacs-sumo (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-04 03:56 EDT by Emmanuel Thomé
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 20050307-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-06 16:39:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Thomé 2004-10-04 03:56:43 EDT
All the files in /usr/share/xemacs/xemacs-packages/lib-src being
scripts, they should have the exec bit set ; it is not the case
(changing this is just a matter of updating the spec file).

[space@dunette lib-src]$ ls -l /usr/share/xemacs/xemacs-packages/lib-src
total 60
-rw-r--r--  1 root root  2582 Oct 13  1998 install-sid
-rw-r--r--  1 root root  5151 Nov 29  1999 pstogif
-rw-r--r--  1 root root 13978 Oct 13  1998 send-pr
-rw-r--r--  1 root root  1565 Oct 13  1998 tm-au
-rw-r--r--  1 root root  1128 Oct 13  1998 tm-file
-rw-r--r--  1 root root  1641 Oct 13  1998 tm-html
-rw-r--r--  1 root root  1710 Oct 13  1998 tm-image
-rw-r--r--  1 root root  1364 Oct 13  1998 tm-mpeg
-rw-r--r--  1 root root  1329 Oct 13  1998 tm-plain
-rw-r--r--  1 root root  1386 Oct 13  1998 tm-ps
-rw-r--r--  1 root root  1439 Oct 13  1998 tmdecode
Comment 1 Jens Petersen 2004-10-06 08:07:30 EDT
True, well pstogif is deliberately not set executable (see bug 64320).

install-sid and send-pr seem to be gnat related and
the rest are from tm.

Any of them that you particularly want to use?
Comment 2 Emmanuel Thomé 2004-10-18 12:10:06 EDT
tm-file and tmdecode are used from emacs' RMAIL mode for extracting
MIME attachments. Not that I advocate for this particular way of
handling MIME, but some people do.

Setting them unexecutable does break (otherwise working) functionality
in RMAIL. I'm not an RMAIL expect, but I suspect all tm* scripts in
this dir belong to the same family, at first glance.

(sorry I've been late in replying)

E.
Comment 3 Jens Petersen 2004-10-29 01:58:50 EDT
Ok, I sent a mail to upstream about this to query their intentions.
Comment 4 Ville Skyttä 2005-04-06 16:39:01 EDT
Fixed in Extras CVS, will be included in the next build.  Thanks.
Will also re-ping upstream.
Comment 5 Ville Skyttä 2005-04-07 02:46:03 EDT
Upstream replied, saying this (and other permissions problems) should be fixed
starting from the next Sumos.

Note You need to log in before you can comment on or make changes to this bug.